<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "base_role_menu".
 *
 * @property int $role_id
 * @property int $menu_id
 * @property int $id
 */
class BaseRoleMenu extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'base_role_menu';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['role_id', 'menu_id'], 'required'],
            [['role_id', 'menu_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'role_id' => 'Role ID',
            'menu_id' => 'Menu ID',
            'id' => 'ID',
        ];
    }
}
